<template>
	<v-dialog v-model="dialog" max-width="80%">
		<template v-slot:activator="{ on, attrs }">
			<div v-on="on" v-bind="attrs">
				<slot></slot>
			</div>
		</template>
		<v-card>
			<v-card-title @click="toggleClose" class="py-2">
				<IconwHover icon="mdi-close" />
			</v-card-title>
			<v-divider></v-divider>
			<v-carousel>
				<v-carousel-item
					v-for="(item, i) in items"
					:key="i"
					:src="item"
				></v-carousel-item>
			</v-carousel>
		</v-card>
	</v-dialog>
</template>

<script>
import IconwHover from '../Additional/IconwHover.vue';
export default {
	components: { IconwHover },
	props: {
		items: Array,
	},
    data() {
        return {
            dialog: false
        }
    },
    methods: {
        toggleClose() {
            this.dialog = !this.dialog
        }
    }
};
</script>

<style>
</style>